# frozen_string_literal: true

require 'httparty'
require 'logger'

module Yade
  module Composer
    module Rest
      # client
      module Client
        include Yade::Common::Client

        # project client
        class ComposerContainerClient < BaseClient
          include HTTParty
          # logger ::Logger.new(STDOUT), :debug

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadecomposer', 'composer-container', 'Yade::Composer::Rest::Model::ComposerContainer')
          end

          def get_by_composer_service_id(composer_service_id)
            list.select { |composer_container| composer_container.composerServiceId == composer_service_id }
          end
        end
      end
    end
  end
end
