# frozen_string_literal: true

require 'httparty'
require 'logger'

module Yade
  module Composer
    module Rest
      # client
      module Client
        include Yade::Common::Client

        # project client
        class ComposerProjectClient < BaseClient
          include HTTParty
          # logger ::Logger.new(STDOUT), :debug

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadecomposer', 'composer-project', 'Yade::Composer::Rest::Model::ComposerProject')
          end

          def get_by_name(name)
            list.select { |composer_project| composer_project.name == name }.first
          end
        end
      end
    end
  end
end
