# frozen_string_literal: true

require 'httparty'
require 'logger'

module Yade
  module Composer
    module Rest
      # client
      module Client
        include Yade::Common::Client

        # project client
        class ComposerServiceClient < BaseClient
          include HTTParty
          # logger ::Logger.new(STDOUT), :debug

          base_uri Yade::Common::Config::AppConfig[:yade_url]

          def initialize
            super('yadecomposer', 'composer-service', 'Yade::Composer::Rest::Model::ComposerService')
          end

          def get_by_composer_project_id(composer_project_id)
            list.select { |composer_service| composer_service.composerProjectId == composer_project_id }
          end
        end
      end
    end
  end
end
