# frozen_string_literal: true

require 'active_model'

module Yade
  module Composer
    module Rest
      # model
      module Model
        # Project
        class ComposerContainer
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON

          attr_accessor :id, :name, :composerServiceId

          validates_presence_of 'id', 'name', 'composerServiceId'

          def attributes
            instance_values
          end
        end
      end
    end
  end
end


